Name:           yaz
Version:        3.0.41
Release:        2%{?dist}
Summary:        Z39.50/SRW/SRU programs

Group:          Applications/Internet
License:        BSD
URL:            http://www.indexdata.dk/yaz/
Source0:        http://ftp.indexdata.dk/pub/yaz/yaz-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  libxml2-devel, openssl-devel, readline-devel, libtool
BuildRequires:  libxslt-devel, tcp_wrappers-devel, libpcap-devel, libicu-devel

%description
This package contains both a test-server and clients (normal & ssl)
for the ANSI/NISO Z39.50 protocol for Information Retrieval.


%package -n lib%{name}
Summary:        Z39.50 libraries
Group:          System Environment/Libraries

%description -n lib%{name}
Z39.50 is a client server protocol for searching and retrieving 
information from remote computer databases (ANSI/NISO Z39.50 
protocol).


%package -n lib%{name}-devel
Summary:        Development files for Z39.50 Library
Group:          Development/Libraries
Requires:       libyaz = %{version}-%{release}
Requires:       libxml2-devel, openssl-devel, readline-devel

%description -n lib%{name}-devel
Development libraries and includes for the libyaz package.


%prep
%setup -q


%build
%configure \
    --enable-tcpd \
    --enable-shared \
    --enable-pth \
    --disable-static
make LIBTOOL=%{_bindir}/libtool %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make LIBTOOL=%{_bindir}/libtool DESTDIR=$RPM_BUILD_ROOT install
# Remove cruft
find $RPM_BUILD_ROOT -name '*.la' -o -name '*.a' | xargs rm -f
rm -rf $RPM_BUILD_ROOT%{_docdir}


%check
make check


%clean
rm -rf $RPM_BUILD_ROOT


%post -n lib%{name} -p /sbin/ldconfig
%postun -n lib%{name} -p /sbin/ldconfig


%files
%defattr(-,root,root,-)
%doc doc/* README NEWS LICENSE
%{_bindir}/yaz-client
%{_bindir}/yaz-ztest
%{_bindir}/zoom*
%{_bindir}/yaz-marcdump
%{_bindir}/yaz-iconv
%{_bindir}/yaz-illclient
%{_bindir}/yaz-icu
%{_mandir}/man1/yaz-client.*
%{_mandir}/man1/yaz-illclient.*
%{_mandir}/man8/yaz-ztest.*
%{_mandir}/man1/zoomsh.*
%{_mandir}/man1/yaz-marcdump.*
%{_mandir}/man1/yaz-iconv.*
%{_mandir}/man1/yaz-icu.*
%{_mandir}/man7/yaz-log.*

%files -n lib%{name}
%defattr(-,root,root,-)
%{_libdir}/*.so.*
%{_mandir}/man7/yaz.*
%{_mandir}/man7/bib1-attr.*

%files -n lib%{name}-devel
%defattr(-,root,root,-)
%{_bindir}/yaz-config
%{_bindir}/yaz-asncomp
%{_libdir}/pkgconfig/*
%{_libdir}/*.so
%{_includedir}/%{name}
%{_datadir}/yaz
%{_datadir}/aclocal/*
%{_mandir}/man1/yaz-asncomp.*
%{_mandir}/man8/yaz-config.*


%changelog
* Wed Feb 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.0.41-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Mon Dec 29 2008 Konstantin Ryabitsev <icon@fedoraproject.org> - 3.0.41-1
- Upstream 3.0.41
- Always use system libtool
- Remove TODO from docs
- Package bib1-attr.7 with libyaz

* Mon Jun 30 2008 Konstantin Ryabitsev <icon@fedoraproject.org> - 3.0.34-1
- Upstream 3.0.34

* Sat May 10 2008 Konstantin Ryabitsev <icon@fedoraproject.org> - 3.0.26-1
- Upstream 3.0.26

* Sat Feb 02 2008 Konstantin Ryabitsev <icon@fedoraproject.org> - 3.0.24-1
- Upstream 3.0.24
- Remove ziffy, as it's no longer part of this package
- Build with icu, available since 3.0.10

* Fri Aug 17 2007 Konstantin Ryabitsev <icon@fedoraproject.org> - 3.0.8-1
- New upstream 3.0.8

* Fri Jun 15 2007 Konstantin Ryabitsev <icon@fedoraproject.org> - 3.0.6-1
- New major upstream version 3.0.6

* Sun Apr 01 2007 Konstantin Ryabitsev <icon@fedoraproject.org> - 2.1.54-1
- Upstream 2.1.54

* Sat Jan 27 2007 Konstantin Ryabitsev <icon@fedoraproject.org> - 2.1.48-1
- Upstream 2.1.48

* Sun Dec 17 2006 Konstantin Ryabitsev <icon@fedoraproject.org> - 2.1.40-1
- Upstream 2.1.40

* Sat Oct 28 2006 Konstantin Ryabitsev <icon@fedoraproject.org> - 2.1.36-1
- Upstream 2.1.36

* Sun Sep 03 2006 Konstantin Ryabitsev <icon@fedoraproject.org> - 2.1.26-1.1
- Mass rebuild for FC6

* Tue Aug 15 2006 Konstantin Ryabitsev <icon@fedoraproject.org> - 2.1.26-1
- Version 2.1.26
- Kill all tabs

* Tue Jun 20 2006 Konstantin Ryabitsev <icon@fedoraproject.org> - 2.1.22-1
- Version 2.1.22
- Libtoolize correctly
- BuildRequire libxslt
- BuildRequire tcp_wrappers
- Enable pth in configure
- Add %%check routine

* Mon Dec 12 2005 Konstantin Ryabitsev <icon@fedoraproject.org> - 2.1.10-1
- Initial packaging
